Package: org.codehaus.groovy.grails.resolve.config

## [Groovy] Class InheritanceConfigurer

- org.codehaus.groovy.grails.resolve.config.InheritanceConfigurer

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractDependencyManagementConfigurer` | `context`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `InheritanceConfigurer (DependencyConfigurationContext context)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `excludes(java.util.Map exclude)`
    `void` | `excludes(java.lang.String[] excludeList)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractDependencyManagementConfigurer` | `getContext, getDependencyManager, getGrailsCoreDependencies`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### InheritanceConfigurer(DependencyConfigurationContext context)

  - ### Method Detail

    - #### void excludes(java.util.Map exclude)

    - #### void excludes(java.lang.String[] excludeList)